Skip to content

Export



POST /api/v1/tag/export

Overview

Export global tag templates based on tag list filter conditions.

Query Request Parameters

Parameter Name Type Required Description
search string Tag name search
Allow empty: False
filter string Filter conditions
Allow empty: False
Optional values: ['BoardRefTagObject', 'ViewerRefTagObject', 'CheckerRefTagObject', 'SmartCheckerRefTagObject', 'DialingRefTagObject', 'SecurityRuleRefTagObject']

Parameter Supplementary Instructions

This interface is used to export global tags individually, without going through the workspace resource export task.

Request Instructions

  1. The export parameters are consistent with the tag list interface, but pagination parameters are not supported.
  2. Currently supported filter parameters are search, filter.
  3. Only valid tags under the current workspace are exported.
  4. The returned content is a JSON list, which can be directly used as an import template for /tag/import.

Export Fields

Field type Description
name string Tag name
description string Tag description
colour string Tag color

Fields Not Exported

  • uuid
  • workspaceUUID
  • creator
  • updator
  • createAt
  • updateAt

Request Example

curl 'https://openapi.truewatch.com/api/v1/tag/export?search=%E6%A0%B8%E5%BF%83&filter=CheckerRefTagObject' \
-H 'DF-API-KEY: <DF-API-KEY>'

Response

{
    "code": 200,
    "content": [
        {
            "name": "Core service",
            "description": "Core service tag",
            "colour": "style_key3"
        },
        {
            "name": "Online environment",
            "description": "",
            "colour": "default"
        }
    ],
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-EXAMPLE"
}